From b3fd4d33c63367821a8d80c05f00e5edab5a4ad4 Mon Sep 17 00:00:00 2001
From: David P <megver83@parabola.nu>
Date: Oct 14 2021 16:17:12 +0000
Subject: [PATCH 14/23] updpkg: libre/xtensa-elf-gcc 11.2.0-1


Signed-off-by: David P <megver83@parabola.nu>

---

diff --git a/libre/xtensa-elf-gcc/PKGBUILD b/libre/xtensa-elf-gcc/PKGBUILD
index adb789f..b9db258 100644
--- a/libre/xtensa-elf-gcc/PKGBUILD
+++ b/libre/xtensa-elf-gcc/PKGBUILD
@@ -2,10 +2,10 @@
 
 _target=xtensa-elf
 pkgname=$_target-gcc
-_pkgver=10.2.0
-pkgver=$_pkgver
-_islver=0.22
+pkgver=11.2.0
+_islver=0.24
 pkgrel=1
+#_snapshot=8-20210107
 pkgdesc='The GNU Compiler Collection - cross compiler for Xtensa (bare-metal) target'
 arch=(x86_64 i686 armv7h)
 url='http://gcc.gnu.org/'
@@ -13,30 +13,32 @@ license=(GPL LGPL FDL)
 depends=($_target-binutils libmpc zlib)
 makedepends=(gmp mpfr)
 options=(!emptydirs !strip)
-source=(https://gcc.gnu.org/pub/gcc/releases/gcc-$_pkgver/gcc-$_pkgver.tar.xz{,.sig}
-        http://isl.gforge.inria.fr/isl-$_islver.tar.bz2
+source=(https://gcc.gnu.org/pub/gcc/releases/gcc-$pkgver/gcc-$pkgver.tar.xz{,.sig}
+        #https://gcc.gnu.org/pub/gcc/snapshots/$_snapshot/gcc-$_snapshot.tar.xz
+        https://libisl.sourceforge.io/isl-$_islver.tar.bz2
         gcc.patch)
-sha512sums=('42ae38928bd2e8183af445da34220964eb690b675b1892bbeb7cd5bb62be499011ec9a93397dba5e2fb681afadfc6f2767d03b9035b44ba9be807187ae6dc65e'
+sha512sums=('d53a0a966230895c54f01aea38696f818817b505f1e2bfa65e508753fcd01b2aedb4a61434f41f3a2ddbbd9f41384b96153c684ded3f0fa97c82758d9de5c7cf'
             'SKIP'
-            'fc2c9796979610dd51143dcefe4f5c989c4354571cc5a1fcc6b932fd41f42a54f6b43adfd289af61be7bd06f3a523fa6a7d7ee56680e32d8036beb4c188fa668'
+            'aab3bddbda96b801d0f56d2869f943157aad52a6f6e6a61745edd740234c635c38231af20bc3f1a08d416a5e973a90e18249078ed8e4ae2f1d5de57658738e95'
             '7637408259cef4b14a2f41690bbc769ad0dc6cf4d1c782405526aeb58f68193269af6882b23fb57c3521174e45709ed2d54f0af1f835646e70a3bfd9f626aad9')
 validpgpkeys=(33C235A34C46AA3FFB293709A328C3A2C3C45C06  # Jakub Jelinek <jakub@redhat.com>
               13975A70E63C361C73AE69EF6EEB81F8981C74C7) # Richard Guenther <richard.guenther@gmail.com>
 if [ -n "$_snapshot" ]; then
   _basedir=gcc-$_snapshot
 else
-  _basedir=gcc-$_pkgver
+  _basedir=gcc-$pkgver
 fi
 
 prepare() {
   cd $_basedir
 
+  # https://github.com/qca/open-ath9k-htc-firmware/tree/master/local/patches
   patch -Np1 -i ../gcc.patch
 
   # link isl for in-tree builds
   ln -sf ../isl-$_islver isl
 
-  echo $_pkgver > gcc/BASE-VER
+  echo $pkgver > gcc/BASE-VER
 
   # hack! - some configure tests for header files using "$CPP $CPPFLAGS"
   sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" "$srcdir"/$_basedir/{libiberty,gcc}/configure
@@ -52,6 +54,11 @@ build() {
   CFLAGS=${CFLAGS/-pipe/}
   CXXFLAGS=${CXXFLAGS/-pipe/}
 
+  if [ "$CARCH" = i686 ]; then
+    # using -Werror=format-security causes i686 build to fail
+    CXXFLAGS+=' -Wno-error=format-security'
+  fi
+
   $srcdir/$_basedir/configure \
     --target=$_target \
     --prefix=/usr \

